Subject: [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02

From: jouni korhonen <[email-masked]>
Date: Sun, 16 Apr 2017 23:00:38 -0700

Folks,

This email starts a 2 week WGLC #1 for draft-ietf-dime-rfc4006bis-02. The WGLC ends 4/30/17 23:59 pacific time.
Submit your comments to issue tracker (https://trac.ietf.org/trac/dime/newticket) and to mailing list. If you
think the document needs no work and is ready, express that also on the list. Silence does not count as acceptance.

- Jouni & Lionel

---

From: Yuval Lifshitz <[email-masked]>
Date: Tue, 18 Apr 2017 12:32:37 +0000

(as one of the editors) I think the document is ready, and no further work is needed.

As part of the review process, would also suggest sending an LS to 3GPP SA5 work group to get their feedback. As their charging related specifications (e.g. 3GP TS 32.299) are heavily based on RFC4006.

Yuval

-----Original Message-----
From: jouni korhonen [mailto:[email-masked]] 
Sent: Monday, April 17, 2017 9:01 AM
To: [email-masked] list
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: WGLC #1 for draft-ietf-dime-rfc4006bis-02

Folks,

This email starts a 2 week WGLC #1 for draft-ietf-dime-rfc4006bis-02. The WGLC ends 4/30/17 23:59 pacific time.
Submit your comments to issue tracker (https://trac.ietf.org/trac/dime/newticket) and to mailing list. If you think the document needs no work and is ready, express that also on the list. Silence does not count as acceptance.

- Jouni & Lionel

---

From: "Bertz, Lyle T [CTO]" <[email-masked]>
Date: Tue, 18 Apr 2017 12:35:21 +0000

(as one of the editors)  I believe the document is ready; no further work is required -
 I would also note that no new work / requests for this bis have been received for a few months now.

-----Original Message-----
From: jouni korhonen [mailto:[email-masked]]
Sent: Monday, April 17, 2017 9:01 AM
To: [email-masked] list
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: WGLC #1 for draft-ietf-dime-rfc4006bis-02

Folks,

This email starts a 2 week WGLC #1 for draft-ietf-dime-rfc4006bis-02. The WGLC ends 4/30/17 23:59 pacific time.
Submit your comments to issue tracker (https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftrac.ietf.org%2Ftrac%2Fdime%2Fnewticket&data=02%7C01%7Clyle.t.bertz%40sprint.com%7C076d395d42f242557ed708d4865703b6%7C4f8bc0acbd784bf5b55f1b31301d9adf%7C0%7C0%7C636281155659869398&sdata=nsXaIiklN9DN1UJKLnkMfeL6naZcJS%2B1KILxIFTAR%2BY%3D&reserved=0) and to mailing list. If you think the document needs no work and is ready, express that also on the list. Silence does not count as acceptance.

- Jouni & Lionel

_______________________________________________
DiME mailing list
[email-masked]
https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fdime&data=02%7C01%7Clyle.t.bertz%40sprint.com%7C076d395d42f242557ed708d4865703b6%7C4f8bc0acbd784bf5b55f1b31301d9adf%7C0%7C0%7C636281155659869398&sdata=lskSejokEWcwO4R02F9%2BAzdOyDJQgCwnX9gqSaChZpQ%3D&reserved=0

________________________________

This e-mail may contain Sprint proprietary information intended for the sole use of the recipient(s). Any use by others is prohibited. If you are not the intended recipient, please contact the sender and delete all copies of the message.

---

From: Dave Dolson <[email-masked]>
Date: Tue, 18 Apr 2017 13:08:24 +0000

As one of the editors, I have carefully reviewed every difference from RFC4006, and I believe the document is ready.

-----Original Message-----
From: jouni korhonen [mailto:[email-masked]] 
Sent: Monday, April 17, 2017 2:01 AM
To: [email-masked] list
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: WGLC #1 for draft-ietf-dime-rfc4006bis-02

Folks,

- Jouni & Lionel

---

From: "Gardella, Maryse (Nokia - FR/Nozay)" <[email-masked]>
Date: Tue, 25 Apr 2017 09:58:51 +0000

Dear Yuval and all, 

Sounds a good idea to have an LS to 3GPP SA5 for their coming May meeting. 
Even though it would be too late to get feedback on this version (considering the 4/30/17 deadline), it would be valuable for them to be aware about the ongoing RFC4006 evolution. 

BR
Maryse 

-----Original Message-----
From: DiME [mailto:[email-masked]] On Behalf Of Yuval Lifshitz
Sent: mardi 18 avril 2017 14:33
To: jouni korhonen <[email-masked]>; [email-masked] list <[email-masked]>
Cc: [email-masked]
Subject: [ALU] Re: [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Yuval

-----Original Message-----
From: jouni korhonen [mailto:[email-masked]] 
Sent: Monday, April 17, 2017 9:01 AM
To: [email-masked] list
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: WGLC #1 for draft-ietf-dime-rfc4006bis-02

Folks,

- Jouni & Lionel

_______________________________________________
DiME mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dime

---

From: Yuval Lifshitz <[email-masked]>
Date: Wed, 26 Apr 2017 07:48:20 +0000

I can try and draft the LS, and send it for review to this group, but not sure what would be the formal process for sending it to SA5?

Yuval

-----Original Message-----
From: Gardella, Maryse (Nokia - FR/Nozay) [mailto:[email-masked]] 
Sent: Tuesday, April 25, 2017 12:59 PM
To: Yuval Lifshitz; jouni korhonen; [email-masked] list
Cc: [email-masked]
Subject: RE: WGLC #1 for draft-ietf-dime-rfc4006bis-02

Dear Yuval and all, 

BR
Maryse 

-----Original Message-----
From: DiME [mailto:[email-masked]] On Behalf Of Yuval Lifshitz
Sent: mardi 18 avril 2017 14:33
To: jouni korhonen <[email-masked]>; [email-masked] list <[email-masked]>
Cc: [email-masked]
Subject: [ALU] Re: [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Yuval

-----Original Message-----
From: jouni korhonen [mailto:[email-masked]] 
Sent: Monday, April 17, 2017 9:01 AM
To: [email-masked] list
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: WGLC #1 for draft-ietf-dime-rfc4006bis-02

Folks,

- Jouni & Lionel

---

From: "Gardella, Maryse (Nokia - FR/Nozay)" <[email-masked]>
Date: Wed, 26 Apr 2017 07:51:35 +0000

Hi Yuval
Thanks to volunteer for this!
Regarding  the process I do not have the answer, may be Lionel could help? To me, he is the official contact for interaction with 3GPP on Diameter, 

BR
Maryse

-----Original Message-----
From: Yuval Lifshitz [mailto:[email-masked]] 
Sent: mercredi 26 avril 2017 09:48
To: Gardella, Maryse (Nokia - FR/Nozay) <[email-masked]>; jouni korhonen <[email-masked]>; [email-masked] list <[email-masked]>
Cc: [email-masked]; Yuval Lifshitz <[email-masked]>
Subject: RE: WGLC #1 for draft-ietf-dime-rfc4006bis-02

Yuval

-----Original Message-----
From: Gardella, Maryse (Nokia - FR/Nozay) [mailto:[email-masked]] 
Sent: Tuesday, April 25, 2017 12:59 PM
To: Yuval Lifshitz; jouni korhonen; [email-masked] list
Cc: [email-masked]
Subject: RE: WGLC #1 for draft-ietf-dime-rfc4006bis-02

Dear Yuval and all, 

BR
Maryse 

-----Original Message-----
From: DiME [mailto:[email-masked]] On Behalf Of Yuval Lifshitz
Sent: mardi 18 avril 2017 14:33
To: jouni korhonen <[email-masked]>; [email-masked] list <[email-masked]>
Cc: [email-masked]
Subject: [ALU] Re: [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Yuval

-----Original Message-----
From: jouni korhonen [mailto:[email-masked]] 
Sent: Monday, April 17, 2017 9:01 AM
To: [email-masked] list
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: WGLC #1 for draft-ietf-dime-rfc4006bis-02

Folks,

- Jouni & Lionel

---

From: <[email-masked]>
Date: Wed, 26 Apr 2017 09:52:55 +0000

Hi,

I don't think that the LS process is efficient enough for a WGLC, especially as multiple 3GPP groups are interested and meetings are hold after the current deadline.
The easiest way is to announce the WGLC on CT3/CT4 and SA5 mailing lists and let interested people react on the draft and send their comments on the dime mailing list.
I had an issue with my mail last week and I was not able to post on 3GPP mailing list. I will do it today.

I will also indicate that the WGLC period is de facto extended to let two weeks to 3GPP guys for reviews/comments.

Regards,

Lionel

> -----Message d'origine-----
> De : DiME [mailto:[email-masked]] De la part de Gardella, Maryse
> (Nokia - FR/Nozay)
> Envoyé : mercredi 26 avril 2017 09:52
> À : Yuval Lifshitz; jouni korhonen; [email-masked] list
> Cc : [email-masked]
> Objet : Re: [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02
> 
> Hi Yuval
> Regarding  the process I do not have the answer, may be Lionel could help? To
> me, he is the official contact for interaction with 3GPP on Diameter,
> 
> BR
> Maryse
> 
> To: Gardella, Maryse (Nokia - FR/Nozay) <[email-masked]>; jouni
> korhonen <[email-masked]>; [email-masked] list <[email-masked]>
> I can try and draft the LS, and send it for review to this group, but not sure what
> would be the formal process for sending it to SA5?
> 
> Yuval
> 
> Even though it would be too late to get feedback on this version (considering the
> 4/30/17 deadline), it would be valuable for them to be aware about the ongoing
> RFC4006 evolution.
> 
> BR
> Maryse
> 
> As part of the review process, would also suggest sending an LS to 3GPP SA5
> work group to get their feedback. As their charging related specifications (e.g.
> 3GP TS 32.299) are heavily based on RFC4006.
> 
> Yuval
> 
> Submit your comments to issue tracker
> (https://trac.ietf.org/trac/dime/newticket) and to mailing list. If you think the
> document needs no work and is ready, express that also on the list. Silence does
> not count as acceptance.
> 
> - Jouni & Lionel
> 
> 

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Gardella, Maryse (Nokia - FR/Nozay)" <[email-masked]>
Date: Thu, 27 Apr 2017 09:32:13 +0000

Hello all,

One comment on the reference for the NAI format:

In the existing:

8.47<https://tools.ietf.org/html/draft-ietf-dime-rfc4006bis-02#section-8.47>.  Subscription-Id-Type AVP

END_USER_NAI 3

   The identifier is in the form of a Network Access Identifier, as

   defined in [RFC2486].

And the newly created :

8.62<https://tools.ietf.org/html/draft-ietf-dime-rfc4006bis-02#section-8.62>.  Subscription-Id-NAI AVP

   The Subscription-Id-NAI (AVP Code TBD11) is of type UTF8String.  The

   Subscription-Id-NAI AVP contains the identifier in the form of a

   Network Access Identifier, as defined in [RFC2486<https://tools.ietf.org/html/rfc2486>].

The reference is RFC 2486, however it is obsoleted by RFC 4282. Also RFC 6733 (which is the DBP reference now for RFC4006bis) refers to RFC 4282.

BR

Maryse

-----Original Message-----
From: DiME [mailto:[email-masked]] On Behalf Of jouni korhonen
Sent: lundi 17 avril 2017 08:01
To: [email-masked] list <[email-masked]>
Cc: [email-masked]
Subject: [ALU] [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Folks,

- Jouni & Lionel

DiME mailing list

[email-masked]<mailto:[email-masked]>

---

From: Yuval Lifshitz <[email-masked]>
Date: Thu, 27 Apr 2017 14:07:43 +0000

Maryse and All,
Seems like RFC4282<https://tools.ietf.org/html/rfc4282> was also obsoleted (in 2015) by RFC7542<https://tools.ietf.org/html/rfc7542>. And as noted in Appendix A of both RFC4282 and RFC7542 they modified their predecessors in non-backward-compatible manner.
We should probably make the change only in the new AVP, so there is no compatibility issue with existing RFC4006 elements?

Yuval

From: Gardella, Maryse (Nokia - FR/Nozay) [mailto:[email-masked]]
Sent: Thursday, April 27, 2017 12:32 PM
To: jouni korhonen; [email-masked] list
Cc: [email-masked]
Subject: RE: [ALU] [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Hello all,

In the existing:

END_USER_NAI 3

   defined in [RFC2486].

And the newly created :

BR

Maryse

-----Original Message-----
From: DiME [mailto:[email-masked]] On Behalf Of jouni korhonen
Sent: lundi 17 avril 2017 08:01
To: [email-masked]<mailto:[email-masked]> list <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [ALU] [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Folks,

- Jouni & Lionel

DiME mailing list

---

From: Dave Dolson <[email-masked]>
Date: Thu, 27 Apr 2017 18:10:27 +0000

Without digging too deeply, it seems the jump directly from RFC2486 to RFC7542 is backwards compatible, since UTF-8 is backwards compatible with 7-bit ASCII.

The gray area seems to be the binary encoding.  Any RFC2486 string may include a binary value from %x00-7F, as I read it.

So, we could say senders SHOULD conform to RFC7542, and receivers MAY accept RFC7542-invalid strings for backwards compatibility.

As I see it, operators require UTF-8 strings, and are probably already using them, so we should update the END_USER_NAI.

-Dave

From: Yuval Lifshitz [mailto:[email-masked]]
Sent: Thursday, April 27, 2017 10:08 AM
To: Gardella, Maryse (Nokia - FR/Nozay); jouni korhonen; [email-masked] list
Cc: [email-masked]; Yuval Lifshitz
Subject: RE: [ALU] [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Maryse and All,

Yuval

To: jouni korhonen; [email-masked]<mailto:[email-masked]> list

Hello all,

In the existing:

END_USER_NAI 3

   defined in [RFC2486].

And the newly created :

BR

Maryse

-----Original Message-----
From: DiME [mailto:[email-masked]] On Behalf Of jouni korhonen
Sent: lundi 17 avril 2017 08:01
To: [email-masked]<mailto:[email-masked]> list <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [ALU] [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Folks,

- Jouni & Lionel

DiME mailing list

---

From: jouni korhonen <[email-masked]>
Date: Thu, 27 Apr 2017 15:50:04 -0700

Yep. This is/was the approach we agreed on in last IETF.. as stated in the meeting minutes (that are still not online *cough* .. will fix that eventually).

- Jouni

> On Apr 26, 2017, at 2:52 AM, [email-masked] wrote:
> 
> Hi,
>

---

From: Yuval Lifshitz <[email-masked]>
Date: Fri, 28 Apr 2017 06:01:34 +0000

Following 3 issues are noted in appendix A of RFC4282:

   o  International character set support has been added for both
      usernames and realms.  Note that this implies character codes 128
      - 255 may be used in the username portion, which may be
      unacceptable to nodes that only support RFC 2486<https://tools.ietf.org/html/rfc2486>.  Many devices
      already allow this behaviour, however.

   o  Username privacy support has been added.  Note that NAIs without a
      username (for privacy) may not be acceptable to RFC 2486<https://tools.ietf.org/html/rfc2486>-compliant
      nodes.  Many devices already allow this behaviour, however.

   o  A recommendation to support NAI length of at least 253 octets has
      been added, and compatibility considerations among NAI lengths in
      this specification and various AAA protocols are discussed.  Note
      that long NAIs may not be acceptable to RFC 2486<https://tools.ietf.org/html/rfc2486>-compliant nodes.

And from appendix A of RFC7542 (as you noted):

*  The formal syntax in Section 2.1<https://tools.ietf.org/html/rfc7542#section-2.1> has been updated to forbid

      non-UTF-8 characters (e.g., characters with the "high bit" set).

This means that there is incompatibility in both directions between RFC2486 and RFC7542.
Therefore, if we want to preserver compatibility between RFC4006 and RFC4006bis, would suggest to use the new format only in the newly added AVP.

From: Dave Dolson
Sent: Thursday, April 27, 2017 9:10 PM
To: Yuval Lifshitz; Gardella, Maryse (Nokia - FR/Nozay); jouni korhonen; [email-masked] list
Cc: [email-masked]; Yuval Lifshitz
Subject: RE: [ALU] [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02

-Dave

From: Yuval Lifshitz [mailto:[email-masked]]
Sent: Thursday, April 27, 2017 10:08 AM
To: Gardella, Maryse (Nokia - FR/Nozay); jouni korhonen; [email-masked]<mailto:[email-masked]> list
Cc: [email-masked]<mailto:[email-masked]>; Yuval Lifshitz
Subject: RE: [ALU] [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Maryse and All,

Yuval

Hello all,

In the existing:

END_USER_NAI 3

   defined in [RFC2486].

And the newly created :

BR

Maryse

-----Original Message-----
From: DiME [mailto:[email-masked]] On Behalf Of jouni korhonen
Sent: lundi 17 avril 2017 08:01
To: [email-masked]<mailto:[email-masked]> list <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [ALU] [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Folks,

- Jouni & Lionel

DiME mailing list

---

From: Dave Dolson <[email-masked]>
Date: Fri, 28 Apr 2017 11:39:47 +0000

If nodes accept RFC7542 in END_USER_NAI, is anything broken?
Can we say "MAY accept..."?

David Dolson
Sandvine
From: Yuval Lifshitz
Sent: Friday, April 28, 2017 2:01 AM
To: Dave Dolson; Gardella, Maryse (Nokia - FR/Nozay); jouni korhonen; [email-masked] list
Cc: [email-masked]; Yuval Lifshitz
Subject: RE: [ALU] [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02

From: Dave Dolson

-Dave

Maryse and All,

Yuval

Hello all,

In the existing:

END_USER_NAI 3

   defined in [RFC2486].

And the newly created :

BR

Maryse

-----Original Message-----
From: DiME [mailto:[email-masked]] On Behalf Of jouni korhonen
Sent: lundi 17 avril 2017 08:01
To: [email-masked]<mailto:[email-masked]> list <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [ALU] [Dime] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Folks,

- Jouni & Lionel

DiME mailing list